package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussNotice implements Serializable {
    private Integer id;

    private String userid;

    private String username;

    private Integer typefirst;

    private Integer typesecond;

    private String title;

    private String desc;

    private String url;

    private Date createdt;

    private String noticecode;

    private String ordernumber;

    private Integer isdeal;

    private Integer isapply;

    private String uniquekey;

    private String conrtent;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public Integer getTypefirst() {
        return typefirst;
    }

    public void setTypefirst(Integer typefirst) {
        this.typefirst = typefirst;
    }

    public Integer getTypesecond() {
        return typesecond;
    }

    public void setTypesecond(Integer typesecond) {
        this.typesecond = typesecond;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc == null ? null : desc.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getNoticecode() {
        return noticecode;
    }

    public void setNoticecode(String noticecode) {
        this.noticecode = noticecode == null ? null : noticecode.trim();
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public Integer getIsdeal() {
        return isdeal;
    }

    public void setIsdeal(Integer isdeal) {
        this.isdeal = isdeal;
    }

    public Integer getIsapply() {
        return isapply;
    }

    public void setIsapply(Integer isapply) {
        this.isapply = isapply;
    }

    public String getUniquekey() {
        return uniquekey;
    }

    public void setUniquekey(String uniquekey) {
        this.uniquekey = uniquekey == null ? null : uniquekey.trim();
    }

    public String getConrtent() {
        return conrtent;
    }

    public void setConrtent(String conrtent) {
        this.conrtent = conrtent == null ? null : conrtent.trim();
    }
}